Description

Currently, each spacer in the jsToolBar is assigned an ID.

However, when there are multiple wiki editing areas on a page, this causes issues due to the duplicated IDs.

Therefore, to address this problem, I have created a patch that replaces the ID with a class name as one of the proposed fixes.

--- a/public/javascripts/jstoolbar/jstoolbar.js

+++ b/public/javascripts/jstoolbar/jstoolbar.js

@@ -155,15 +155,14 @@ jsButton.prototype.draw = function() {

   return button;

 }

-function jsSpace(id) {

-  this.id = id || null;

+function jsSpace(className) {

+  this.className = className || null;

   this.width = null;

 }

 jsSpace.prototype.draw = function() {

   var span = document.createElement('span');

-  if (this.id) span.id = this.id;

   span.appendChild(document.createTextNode(String.fromCharCode(160)));

-  span.className = 'jstSpacer';

+  span.className = 'jstSpacer' + (this.className ? ' ' + this.className : '');

   if (this.width) span.style.marginRight = this.width+'px';

   return span;

Associated revisions

Revision 23192 - 2024-11-03 13:57 - Marius BĂLTEANU

Fixes duplicate spacer id in jsToolBar (#38915).

Patch by Yasu Saku (user:skys).

History

#1 - 2023-08-10 09:58 - Go MAEDA

- Status changed from New to Confirmed

- Target version set to Candidate for next major release

#2 - 2024-10-20 10:15 - Go MAEDA

- Category changed from Wiki to UI

- Target version changed from Candidate for next major release to 6.0.0

Setting the target version to 6.0.0.

#3 - 2024-11-03 14:00 - Marius BĂLTEANU

- Status changed from Confirmed to Resolved

- Assignee set to Marius BĂLTEANU
- Resolution set to Fixed

I've committed the fix, thanks!

#4 - 2024-11-03 23:36 - Marius BĂLTEANU

- Status changed from Resolved to Closed
